[Submitted] Visual Confirmation Inst. Guide [Latest: 1.1.2]

A place for MOD Authors to post and receive feedback on MODs still in development. No MODs within this forum should be used within a live environment! No new topics are allowed in this forum.
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

IMPORTANT: MOD Development Forum rules

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.
Thunderbird8
Registered User
Posts: 90
Joined: Tue Feb 24, 2004 5:20 am

Post by Thunderbird8 »

The MOD comes with phpBB. Check the Contrib folder in the ZIP file of your phpBB download. Not sure if it's in the Changed Files package or not. However, it can cause some changes to be lost, so ycl6 is providing a guide to installing it for those who didn't install it when they first installed phpBB (and have installed other MODs since).
ycl6
Translator
Posts: 5696
Joined: Sat Feb 15, 2003 10:35 am
Location: Taiwan
Contact:

Re: [Submitted] Installation Guide for Visual Confirmation

Post by ycl6 »

Gabriele wrote: I am going nuts trying to find this ZIP file where the .tpl file is but... nothing!

You must have overlook my guide then 8O

Code: Select all

############################################################## 
## Author Notes: 
##   This is only the installation guide, 
##      the actually author for Visual Confirmation MOD is phpBB Group 
## 
##   The original Visual Confirmation files can be found in 
##      contrib/visual_confirmation.zip 
##    
##   includes/usercp_confirm.php can be found after you unzip 
##      contrib/visual_confirmation.zip 
## 
##   * from phpBB 2.0.6 onwards, this code should have been added 
## 
############################################################## 
I don't think any of us has mentioned phpbb group forgot to include Visual Confirmation MOD in the latest phpBB version (Because phpBB doesn't suppose to have ANY new feature added, those will be done in phpBB 2.1 & 2.2). What we are saying is the sercurity updates in 2.0.6 ~ 2.0.8a has not been updated in the ZIP file that comes with phpBB package.

The files included by phpBB Group is so that people can easily replace their old files with the new files included, however, for people who alreay add MODs to their forum, this way of adding Visual Confirmation is not possible, therefore this guide is written. Also since the the files in Visual Confirmation is not updated with the sercurity fixes, I don't recommand anyone to use those files too. (Unless you are prepared to upgrade them manually, again)

~Mac
Gabriele
Registered User
Posts: 6
Joined: Sun Mar 28, 2004 8:20 pm
Location: Amsterdam
Contact:

Post by Gabriele »

This is incredible guys... with all the respect and appreciation for all of you...

Did u realize that none of you, in the whole board has mentioned that the new 2.0.8a is the one you need to have so you can install the VC?

I've started my adventure in phpBB with the version 2.0.6 a month ago.
Then I've seen the new verion out and I've decided to install it. So I've got rid of everything and installed the 2.0.8.
The 2.0.6 featured the VC.

I've downloaded the 2.0.8 a week ago. I've installed it and then I've installed PCP. Yesterday I've decided to uninstall and reinstall everything becuase PCP makes it too hard (for me) to implement the board with other MOD's.

Last night I've noticed that my board didn't have the VC aqnd I thought something went wrong during the yesterday installation of all the MOD'.

I came to this board to find the problem and I've found out that 2.0.8 doens't include the VC.
Then I've found your VC installation guide, I've downloaded and then I've read, in the code, that I needed the ZIP file that includes the needed files for the installation.

I've been looking around and I've read this board you can't imagine how much! Believe me!

Dulcis infundo....
nobody had the good idea of specifying that the ZIP file is included in the installation package of the phpBB 2.0.8a!!!!

Guys... I don't know if laughing or crying but when I've realized, last night, that phpBB is already upgraded to the ver. "a" and no one here said "Hello people... for those of you who want the VC, you must FIRST download the new "a" version and THEN follow this guide to make it happen!

I design web sites since the 95 and I know that sometimes we, professionals, can neglect little (for us) details that for users are vital!

I guess this time happened to all of you! :wink:

Thank you very much for your replies anyway!

with love
:evil:
Gabriele
:wink:
ycl6
Translator
Posts: 5696
Joined: Sat Feb 15, 2003 10:35 am
Location: Taiwan
Contact:

Post by ycl6 »

Hi Gabriele

Visual Confirmation MOD is included in phpBB package since 2.0.6, this is the reason why no one has mention it :wink:

And this is (probably) also the reason why the package is not updated with the necessary sercurity updates since 2.0.6, as it was first realeased with 2.0.6. But as phpBB package updated to 2.0.7 and 2.0.8, Visual Confirmation MOD is left un-updated

~Mac
Gabriele
Registered User
Posts: 6
Joined: Sun Mar 28, 2004 8:20 pm
Location: Amsterdam
Contact:

Post by Gabriele »

My frrrrrriend.... maybe something went wrong soewhere. The contribute folder is not in the phpbb-2.0.8 ZIP file I have here.

Salute! (cheers) :wink:
Gabriele
ycl6
Translator
Posts: 5696
Joined: Sat Feb 15, 2003 10:35 am
Location: Taiwan
Contact:

Post by ycl6 »

Hi Gabriele

I think it's just a poor quality control in phpBB's latest release :wink:

p.s. when I post this Guide, the phpBB is still in 2.0.7a :wink:

~Mac
carloclaessen
Registered User
Posts: 494
Joined: Sun Mar 23, 2003 11:55 pm

Post by carloclaessen »

Bump for the question about the template thing, i want the confirmation in the same colours as my template is
jimh009
Registered User
Posts: 3
Joined: Wed Mar 03, 2004 3:07 am
Location: Montana
Contact:

Will this work in 2.0.1?

Post by jimh009 »

I would love to use this mod, unfortunately I am running 2.0.1 and CANNOT upgrade (my web host only allows a modified version on phpbb on their servers for whatever reason). While it is simple to say "move the site", my forum is only a tiny portion of my site and only gets a little traffic. It would be more of a pain that it is worth to move my site right now.

Thus, my question is, can 2.0.1 be used to allow for visual confirmation?? I've gotten a few other mods to work, but would like to know the verdict on this before playing with it.

Thanks for your help.

Jim
ycl6
Translator
Posts: 5696
Joined: Sat Feb 15, 2003 10:35 am
Location: Taiwan
Contact:

Post by ycl6 »

jimh009

I will recommand you to test this MOD on a test forum using 2.0.1
I DO think the MOD would work, just not sure if there is additonal codes that need to be added in.

You will need to add the SQL TABLE and Config FIELD yourself, whereas from 2.0.6 onwards the table and field is already present

~Mac
robinlee
Registered User
Posts: 29
Joined: Sun Mar 07, 2004 9:50 am
Location: Kluang,Johor,Malaysia
Contact:

Post by robinlee »

Mac , why the instruction inside don't have the step to create table and update table ?
ycl6
Translator
Posts: 5696
Joined: Sat Feb 15, 2003 10:35 am
Location: Taiwan
Contact:

Post by ycl6 »

robinlee wrote: Mac , why the instruction inside don't have the step to create table and update table ?

Hi ya

The Database part is installed by default in 2.0.6 ~ 2.0.8, so normally you don't need them :wink:

~Mac
[RF]MH
Registered User
Posts: 21
Joined: Mon Oct 13, 2003 4:56 am
Location: Nevada, USA
Contact:

Post by [RF]MH »

lmao! This would've been great. I had to figure this out myself. :|
Image
robinlee
Registered User
Posts: 29
Joined: Sun Mar 07, 2004 9:50 am
Location: Kluang,Johor,Malaysia
Contact:

Post by robinlee »

ycl6 wrote:
robinlee wrote:Mac , why the instruction inside don't have the step to create table and update table ?

Hi ya

The Database part is installed by default in 2.0.6 ~ 2.0.8, so normally you don't need them :wink:

~Mac


No wonder...
carloclaessen
Registered User
Posts: 494
Joined: Sun Mar 23, 2003 11:55 pm

Post by carloclaessen »

carloclaessen wrote: Bump for the question about the template thing, i want the confirmation in the same colours as my template is
tbartold
Registered User
Posts: 138
Joined: Sat Mar 15, 2003 3:51 am
Contact:

Post by tbartold »

Just a suggestion...

I tried installing this MOD using EasyMOD on my already heavily MODed php2.0.8a forum, and it failed in the usercp_register.php update.

I would suggest changing your find from:

Code: Select all

#
#-----[ FIND ]------------------------------------------
#
	$strip_var_list = array('username' => 'username', 'email' => 'email', 'icq' => 'icq', 'aim' => 'aim', 'msn' => 'msn', 'yim' => 'yim', 'website' => 'website', 'location' => 'location', 'occupation' => 'occupation', 'interests' => 'interests');

#
#-----[ IN-LINE FIND ]------------------------------------------
#
'username' => 'username'

Code: Select all

#
#-----[ FIND ]------------------------------------------
#
'username' => 'username'

#
#-----[ IN-LINE FIND ]------------------------------------------
#
'username' => 'username'
It would allow it to work on MODed boards also.

The FIND in templates/subSilver/admin/board_config_body.tpl could be reduced also to make them friendlier to other installed styles (I only have a few installed, but three failed to update.). Something like:

Code: Select all

#
#-----[ FIND ]------------------------------------------
#
{L_ACCT_ACTIVATION}
#
#-----[ FIND ]------------------------------------------
#
</tr>


And in templates/subSilver/profile_add_body.tpl

Code: Select all

#
#-----[ FIND ]------------------------------------------
#
{L_CONFIRM_PASSWORD}
#
#-----[ FIND ]------------------------------------------
#
</tr>
This made it all so much easier for me.

But aside from that, Thanks for making this into a MOD!
Locked

Return to “[2.0.x] MODs in Development”